GNU logs - #13675, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: 24.2.93; Extremely slow redisplay when lines are very long
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 10 Feb 2013 16:27:01 +0000
Resent-Message-ID: <handler.13675.B.136051360225215 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 13675 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.136051360225215
          (code B ref -1); Sun, 10 Feb 2013 16:27:01 +0000
Received: (at submit) by debbugs.gnu.org; 10 Feb 2013 16:26:42 +0000
Received: from localhost ([127.0.0.1]:49210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4Zjj-0006Yc-Gs
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 11:26:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51234)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1U4Zje-0006YP-8w
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 11:26:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <eliz@HIDDEN>) id 1U4ZjN-00039B-AC
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 11:26:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:48260)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
	id 1U4ZjN-000397-6c
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 11:26:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34344)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <eliz@HIDDEN>) id 1U4ZjK-000699-NK
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 11:26:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <eliz@HIDDEN>) id 1U4ZjI-00036w-He
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 11:26:14 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:41442)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
	id 1U4ZjI-00036U-4J
	for bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 11:26:12 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MI000400IXMVQ00@HIDDEN> for
	bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 18:26:09 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MI000427IZLOM60@HIDDEN> for
	bug-gnu-emacs@HIDDEN; Sun, 10 Feb 2013 18:26:09 +0200 (IST)
Date: Sun, 10 Feb 2013 18:26:14 +0200
From: Eli Zaretskii <eliz@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83sj545e55.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Solaris 10
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

This is a very long-standing deficiency of the Emacs display engine:
it is awfully slow in buffers with very long (thousands of characters)
lines.  Specifically, many simple movement commands, scrolling, or
even typing "M-x" can take several seconds(!) to complete.

A simple Awk script attached below can be used to generate such files.

For the latest discussions of this and some data, see this thread:

  http://lists.gnu.org/archive/html/emacs-devel/2013-02/msg00135.html

The solution for this bug should produce algorithmic changes in the
display engine and possibly also supporting changes in data structures
that would prevent such a terrible slow-down with long lines.
Ideally, redisplay of such buffers should not be much slower than
buffers with "normal" line length.

Here's a script that can be used to produce test files for this bug:

---------------------------------------------
BEGIN {
    # 500 lines
    for (i = 1; i <= 500; i++)
    {
	# Line length between 10K and 20K characters + newline
	line_len = 10000 * rand() + 10000;
	for (j = 1; j <= line_len; j++)
	{
	    # 15% of punctuation and digit charcaters, the rest letters
	    if (rand() < 0.15)
	    {
		# Start at SPACE
		lbase = 32;
		llen = 33;
	    }
	    else
	    {
		# Start at 'a'
		lbase = 97;
		llen = 26;
	    }
	    printf "%c", llen * rand() + lbase;
	}
	printf "\n";
    }
}

---------------------------------------------


In GNU Emacs 24.2.93.1 (i386-mingw-nt5.1.2600)
 of 2013-02-07 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (3.4) --cflags -Id:/usr/include/libxml2'

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255
  default enable-multibyte-characters: t

Major mode: Mail

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  flyspell-mode: t
  desktop-save-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  line-number-mode: t
  auto-fill-function: mail-mode-auto-fill
  abbrev-mode: t

Recent input:
e t a i l s . <return> <up> <up> <C-right> <C-right> 
<C-right> C-x C-e <help-echo> <help-echo> <down> <down> 
<down> <return> T h e SPC r e a s o n SPC f o r SPC 
t h e SPC d e f a u l t SPC v a l u e SPC i s SPC t 
o SPC a v o i d SPC t h e SPC a n n o y i n g SPC j 
u m p s SPC o f SPC t h e SPC m o d e SPC l i n e <up> 
<M-right> <C-left> <C-left> <C-left> <left> SPC a <backspace> 
u p SPC a n d SPC d o w n M-q <down> SPC w h e n SPC 
t h e SPC e c h o SPC a r e a SPC d i s p l a y s SPC 
m e s s a g e s SPC o f SPC d i f f e r e n t SPC l 
e n g t h . <return> <C-home> C-c C-s <help-echo> <switch-frame> 
d d d d d d d d d SPC d d o P O <tab> <return> d d 
d d d d d d d d n d SPC d d d SPC <prior> <next> <next> 
d SPC d d d d d C-z C-z C-z C-z C-z C-z C-z C-z d d 
d d d d SPC SPC <prior> <next> <next> <next> <next> 
<next> <next> <next> <next> <next> <next> <next> <next> 
<next> <next> <next> <next> <next> <next> <next> <next> 
<next> d <C-home> C-x C-s <switch-frame> <switch-frame> 
<help-echo> <help-echo> <switch-frame> <switch-frame> 
<help-echo> <switch-frame> <help-echo> M-x r e p o 
r t - e m a c s - b u <tab> <return>

Recent messages:
Sending...
Added to d:/usr/eli/rmail/SENT.MAIL
Sending email 
Sending email done
Sending...done
Added to d:/usr/eli/rmail/PORTS.rmail
No following nondeleted message
Mark set
Saving file d:/usr/eli/rmail/INBOX...
Wrote d:/usr/eli/rmail/INBOX [2 times]

Load-path shadows:
None found.

Features:
(shadow emacsbug cc-awk tar-mode etags texinfo mule-util ebuff-menu
electric bug-reference add-log misearch multi-isearch dabbrev
time-stamp rmailout network-stream starttls tls mail-extr smtpmail
auth-source eieio password-cache shell mailalias sendmail help-mode
tcl nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn
nxml-ns nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc
xmltok sgml-mode conf-mode generic arc-mode archive-mode diff-mode
dired-x cl-macs gv dired face-remap org-wl org-w3m org-vm org-rmail
org-mhe org-mew org-irc org-jsinfo org-infojs org-html org-exp ob-exp
org-exp-blocks org-agenda org-info org-gnus gnus-util org-docview
org-bibtex bibtex org-bbdb org byte-opt warnings bytecomp byte-compile
cconv advice help-fns advice-preload ob-tangle ob-ref ob-lob ob-table
org-footnote org-src ob-comint ob-keys org-pcomplete pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp ob
org-compat org-macs ob-eval org-loaddefs find-func cal-menu calendar
cal-loaddefs parse-time vc-cvs gud comint ansi-color ring sh-script
smie executable autoconf autoconf-mode make-mode autorevert noutline
outline easy-mmode jka-compr info vc-bzr cc-langs cl cl-lib cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs flyspell rmailsum qp rmailmm message format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader mail-parse rfc2231 rmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils desktop server filecache mairix cus-edit
easymenu cus-start cus-load wid-edit saveplace midnight ispell
generic-x paren battery time time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table
w32-win w32-vars tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process w32 multi-tty emacs)




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: bug#13675: Acknowledgement (24.2.93; Extremely slow redisplay
 when lines are very long)
Message-ID: <handler.13675.B.136051360225215.ack <at> debbugs.gnu.org>
References: <83sj545e55.fsf@HIDDEN>
X-Gnu-PR-Message: ack 13675
X-Gnu-PR-Package: emacs
Reply-To: 13675 <at> debbugs.gnu.org
Date: Sun, 10 Feb 2013 16:27:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 13675 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
13675: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D13675
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: 24.2.93; Extremely slow redisplay when lines are very long
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 10 Feb 2013 17:37:01 +0000
Resent-Message-ID: <handler.13675.B13675.136051780831671 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 13675 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.136051780831671
          (code B ref 13675); Sun, 10 Feb 2013 17:37:01 +0000
Received: (at 13675) by debbugs.gnu.org; 10 Feb 2013 17:36:48 +0000
Received: from localhost ([127.0.0.1]:49283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4apb-0008Em-Ji
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 12:36:48 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:43318)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1U4apX-0008EY-Dr
	for 13675 <at> debbugs.gnu.org; Sun, 10 Feb 2013 12:36:46 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MI000200M61X300@HIDDEN> for
	13675 <at> debbugs.gnu.org; Sun, 10 Feb 2013 19:36:25 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MI0002SYM8OSA60@HIDDEN>;
	Sun, 10 Feb 2013 19:36:25 +0200 (IST)
Date: Sun, 10 Feb 2013 19:36:30 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83sj545e55.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83pq085aw1.fsf@HIDDEN>
References: <83sj545e55.fsf@HIDDEN>
X-Spam-Score: 0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.2 (/)

> Date: Sun, 10 Feb 2013 18:26:14 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> 
> This is a very long-standing deficiency of the Emacs display engine:
> it is awfully slow in buffers with very long (thousands of characters)
> lines.  Specifically, many simple movement commands, scrolling, or
> even typing "M-x" can take several seconds(!) to complete.
> 
> A simple Awk script attached below can be used to generate such files.
> 
> For the latest discussions of this and some data, see this thread:
> 
>   http://lists.gnu.org/archive/html/emacs-devel/2013-02/msg00135.html
> 
> The solution for this bug should produce algorithmic changes in the
> display engine and possibly also supporting changes in data structures
> that would prevent such a terrible slow-down with long lines.
> Ideally, redisplay of such buffers should not be much slower than
> buffers with "normal" line length.

Revision 111724 speeds up some of the redisplay operations by a factor
of 3.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Feb 2013 20:44:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 15:44:06 2013
Received: from localhost ([127.0.0.1]:49363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U4dkr-0004Fy-Nu
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2013 15:44:06 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:34100)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1U4dkp-0004Fr-Jf
	for control <at> debbugs.gnu.org; Sun, 10 Feb 2013 15:44:04 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>) id 1U4dkZ-0005GH-46
	for control <at> debbugs.gnu.org; Sun, 10 Feb 2013 15:43:47 -0500
Date: Sun, 10 Feb 2013 15:43:47 -0500
Message-Id: <E1U4dkZ-0005GH-46@HIDDEN>
Subject: control message for bug 3219
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

merge 13675 3219




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Feb 2014 21:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 16:28:32 2014
Received: from localhost ([127.0.0.1]:41898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCyP2-0006li-Aa
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 16:28:32 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54336 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WCyP0-0006la-Qa
 for control <at> debbugs.gnu.org; Mon, 10 Feb 2014 16:28:31 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1WCyP0-00055p-JH
 for control <at> debbugs.gnu.org; Mon, 10 Feb 2014 16:28:30 -0500
Date: Mon, 10 Feb 2014 16:28:30 -0500
Message-Id: <E1WCyP0-00055p-JH@HIDDEN>
Subject: control message for bug 15555
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

merge 13675 15555




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 18 Feb 2014 00:55:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 17 19:55:58 2014
Received: from localhost ([127.0.0.1]:57281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WFYyb-0007Tu-V8
	for submit <at> debbugs.gnu.org; Mon, 17 Feb 2014 19:55:58 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:43970 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WFYya-0007Tn-Gm
 for control <at> debbugs.gnu.org; Mon, 17 Feb 2014 19:55:56 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1WFYya-0006lK-9g
 for control <at> debbugs.gnu.org; Mon, 17 Feb 2014 19:55:56 -0500
Date: Mon, 17 Feb 2014 19:55:56 -0500
Message-Id: <E1WFYya-0006lK-9g@HIDDEN>
Subject: control message for bug 16786
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

merge 3219 16786




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 18 Feb 2014 07:32:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 18 02:32:35 2014
Received: from localhost ([127.0.0.1]:57477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WFfAR-0003ih-B6
	for submit <at> debbugs.gnu.org; Tue, 18 Feb 2014 02:32:35 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:50395 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WFfAP-0003iX-4A
 for control <at> debbugs.gnu.org; Tue, 18 Feb 2014 02:32:33 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1WFfAO-00021i-HV
 for control <at> debbugs.gnu.org; Tue, 18 Feb 2014 02:32:32 -0500
Date: Tue, 18 Feb 2014 02:32:32 -0500
Message-Id: <E1WFfAO-00021i-HV@HIDDEN>
Subject: control message for bug 16786
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

unmerge 16786




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Sep 2014 09:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 23 05:50:50 2014
Received: from localhost ([127.0.0.1]:49447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XWMkE-00087q-2G
	for submit <at> debbugs.gnu.org; Tue, 23 Sep 2014 05:50:50 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:53023)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XWMkB-00087i-Qy
 for control <at> debbugs.gnu.org; Tue, 23 Sep 2014 05:50:48 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1XWMkB-0006wu-Kk
 for control <at> debbugs.gnu.org; Tue, 23 Sep 2014 05:50:47 -0400
Date: Tue, 23 Sep 2014 05:50:47 -0400
Message-Id: <E1XWMkB-0006wu-Kk@HIDDEN>
Subject: control message for bug 18530
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

merge 3219 18530




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 24 Sep 2016 11:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 07:32:51 2016
Received: from localhost ([127.0.0.1]:33934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnlCN-0002oe-G1
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bnlCL-0002oR-1R
 for control <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bnlCC-0002kj-Nr
 for control <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36912)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bnlCC-0002kW-LB; Sat, 24 Sep 2016 07:32:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1102
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bnlC9-0000i1-Ol; Sat, 24 Sep 2016 07:32:40 -0400
Date: Sat, 24 Sep 2016 14:32:44 +0300
Message-Id: <838tuhcz37.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
In-reply-to: <20160924110901.5482c558@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 11:09:01 +0200)
Subject: Re: bug#24523: Base64 images makes Emacs slow
References: <20160924073739.59fca4e0@HIDDEN>
 <83h995dbzu.fsf@HIDDEN> <20160924110901.5482c558@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: control
Cc: 24523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

merge 24523 13675
thanks

> Date: Sat, 24 Sep 2016 11:09:01 +0200
> From: Andreas Nilsson <an@HIDDEN>
> Cc: 24523 <at> debbugs.gnu.org
> 
> 1. emacs -Q
> 2. Visit https://www.base64-image.de/ and "click here" select an image
> (I selected a ~200kB one)
> 3. Click "show code" and copy paste the string you get into *scratch*.
> 4. Now try C-v and M-v as well as type some characters, this is the
> point where it lags.

This creates a single physical line whose length is 280K characters.
It is a known limitation of the Emacs display engine that it's very
slow with such long lines.  See bug #13675.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: Extremely slow redisplay when lines are very long
References: <83sj545e55.fsf@HIDDEN>
In-Reply-To: <83sj545e55.fsf@HIDDEN>
Resent-From: Mark Diekhans <markd@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 20 Oct 2017 01:46:02 +0000
Resent-Message-ID: <handler.13675.B13675.15084639112628 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 13675 <at> debbugs.gnu.org
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.15084639112628
          (code B ref 13675); Fri, 20 Oct 2017 01:46:02 +0000
Received: (at 13675) by debbugs.gnu.org; 20 Oct 2017 01:45:11 +0000
Received: from localhost ([127.0.0.1]:50901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5MN4-0000gJ-S9
	for submit <at> debbugs.gnu.org; Thu, 19 Oct 2017 21:45:11 -0400
Received: from mail-pf0-f179.google.com ([209.85.192.179]:51766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <markd@HIDDEN>) id 1e5MN3-0000g7-Ek
 for 13675 <at> debbugs.gnu.org; Thu, 19 Oct 2017 21:45:09 -0400
Received: by mail-pf0-f179.google.com with SMTP id n14so8674012pfh.8
 for <13675 <at> debbugs.gnu.org>; Thu, 19 Oct 2017 18:45:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=soe-ucsc-edu.20150623.gappssmtp.com; s=20150623;
 h=from:mime-version:content-transfer-encoding:message-id:date:to
 :subject; bh=50XnbAupFbqw6zuJUkR58mNjkSecQt2G+90hGkuw8nM=;
 b=al1qpc69p5ajXMBj6cMfIE032Rp4GBHYuwOv6T9U4JPRcFoIAdTvUbatOqiv5cSk0g
 2cEZDFX4V/wNO/JODXR3tM/8UoWC7Fj3uDfU54VTbTOW1KJBn2fxHbZW9LPXXbf1Sy0J
 1cfW+ckSyR/EQoYXadlGHZeswDuMRdxqmAYF39suu5AOf/2ompcWZX7zdCP+mGHU2xhT
 5kQrLInVES+cEBLKOli9WepO37Lbmxix9WVb59JekSWGonFjh7VL+0han5nxuiqpwIti
 iAM2r7E3Bxriir/TUFji171FB7fBrqmLwnEQreUVRTszFOmQOko/YVSGHPxc1bhweOlN
 ciKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:content-transfer-encoding
 :message-id:date:to:subject;
 bh=50XnbAupFbqw6zuJUkR58mNjkSecQt2G+90hGkuw8nM=;
 b=sEseIJwJbj0qaeeGw6bg9UeL/n+MFJGPJIrp+YmCzvw4UlJL81tgaBQB1QXq1ndfsu
 wZh+nSdpKJkF5PdlV+K0dlllUclXRs/sRpz3FulWtlMIloAP9faIlTHXgtayLLPJgpGy
 7HVMcwqD+FcoUwPVQru8EdI/MZVWhK5Qc8Oi6fdXLmX93eDYAFXFETdixlI0ZApu9Pz/
 iR7QwN6Vd6MB9VV/9J/yt3dWfZNDz0KtUeScmo7l+DPs5nlUnMiWCrVOVuY9c8JMcRnA
 bAo2HogOs5SeDuccECUb+qrbfuqx2IGyL/ma2Oy6uhBvc0nMQcnlShgh8fB1mGwMd0v1
 hojg==
X-Gm-Message-State: AMCzsaW1QawQxMy2BlYz99zmtZMhqnUfORphBf/EmTvasGqM8LjbU8gd
 JZ0EbDfWM4Mn1MN1UH2Vxv2o7Z5i
X-Google-Smtp-Source: ABhQp+Qa8L2jzfI8oZQLBNzRPDF61xhjLYN1JU69mzaE0G94/py0RDXQ+04c5pp8dTy84s79M49OPQ==
X-Received: by 10.101.74.4 with SMTP id s4mr2916469pgq.259.1508463902703;
 Thu, 19 Oct 2017 18:45:02 -0700 (PDT)
Received: from localhost (eduroam-169-233-201-230.ucsc.edu. [169.233.201.230])
 by smtp.gmail.com with ESMTPSA id
 h1sm26308948pgf.54.2017.10.19.18.45.01 for <13675 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 19 Oct 2017 18:45:01 -0700 (PDT)
From: Mark Diekhans <markd@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <23017.21788.768005.940877@HIDDEN>
Date: Thu, 19 Oct 2017 18:45:00 -0700
X-Mailer: VM 8.2.0b under 25.2.1 (x86_64-apple-darwin16.4.0)
X-Spam-Score: -2.8 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)


Is there anyone working on the long-line display speed issue?

It is especially bad with font lock mode.  SIGUSR2 doesn't help.
Twice in the last week I have had to kill emacs because it had
been locked up for more than 10 minutes.

If the fix is really complex, it would be much better emacs
refuse to display the file than force killing it.

thanks!!






Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: Extremely slow redisplay when lines are very long
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 20 Oct 2017 06:45:01 +0000
Resent-Message-ID: <handler.13675.B13675.150848189232242 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Mark Diekhans <markd@HIDDEN>
Cc: 13675 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.150848189232242
          (code B ref 13675); Fri, 20 Oct 2017 06:45:01 +0000
Received: (at 13675) by debbugs.gnu.org; 20 Oct 2017 06:44:52 +0000
Received: from localhost ([127.0.0.1]:51004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5R36-0008Ny-Jt
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 02:44:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e5R34-0008Nl-IL
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 02:44:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e5R2u-0005TP-Fe
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 02:44:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47720)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e5R2u-0005TI-By; Fri, 20 Oct 2017 02:44:40 -0400
Received: from [176.228.60.248] (port=1810 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e5R2t-0000Vr-Pw; Fri, 20 Oct 2017 02:44:40 -0400
Date: Fri, 20 Oct 2017 09:44:30 +0300
Message-Id: <831slye2sx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <23017.21788.768005.940877@HIDDEN>
 (message from Mark Diekhans on Thu, 19 Oct 2017 18:45:00 -0700)
References: <83sj545e55.fsf@HIDDEN>
 <23017.21788.768005.940877@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Mark Diekhans <markd@HIDDEN>
> Date: Thu, 19 Oct 2017 18:45:00 -0700
> 
> Is there anyone working on the long-line display speed issue?

Not that I know of.  I don't even have an idea for how to speed it up,
and I don't think anyone's come up with such ideas.

> It is especially bad with font lock mode.

What mode/kind of file needs font lock and has such long lines?

In general, if you must handle such files, my advice is to use M-x
find-file-literally for them, it might make Emacs just barely
bearable, if you are lucky.  But then you lose any font locking and
text encoding support, so this is only feasible for plain-ASCII files
that basically present some text.

> If the fix is really complex, it would be much better emacs
> refuse to display the file than force killing it.

Patches for presenting a warning for such files, like we do with very
large files, are welcome.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: Extremely slow redisplay when lines are very long
Resent-From: Phil Sainty <psainty@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 20 Oct 2017 11:59:01 +0000
Resent-Message-ID: <handler.13675.B13675.15085006835621 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>, Mark Diekhans <markd@HIDDEN>
Cc: 13675 <at> debbugs.gnu.org
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.15085006835621
          (code B ref 13675); Fri, 20 Oct 2017 11:59:01 +0000
Received: (at 13675) by debbugs.gnu.org; 20 Oct 2017 11:58:03 +0000
Received: from localhost ([127.0.0.1]:51210 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5VwA-0001SN-4j
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 07:58:02 -0400
Received: from smtp-4.orcon.net.nz ([60.234.4.59]:53859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1e5Vw7-0001SA-UA
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 07:58:00 -0400
Received: from [150.107.172.80] (port=27474 helo=[192.168.20.102])
 by smtp-4.orcon.net.nz with esmtpa (Exim 4.86_2)
 (envelope-from <psainty@HIDDEN>)
 id 1e5Vvs-0006iX-7Z; Sat, 21 Oct 2017 00:57:54 +1300
References: <83sj545e55.fsf@HIDDEN>
 <23017.21788.768005.940877@HIDDEN>
 <831slye2sx.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <1d241e49-61bc-089c-ce02-2075a4e98905@HIDDEN>
Date: Sat, 21 Oct 2017 00:57:43 +1300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <831slye2sx.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 20/10/17 19:44, Eli Zaretskii wrote:
> What mode/kind of file needs font lock and has such long lines?

The common cases I would run into were with 'minified' files of
programming code, where as much whitespace as possible has been
removed to reduce the file size.

e.g. Things like https://code.jquery.com/jquery-git.min.js

That kind of file is not intended to be edited by hand, but so
far as Emacs is concerned it's just a regular javascript file,
and therefore font-lock and all the other modes which would be
enabled for editing javascript will be used.


> Patches for presenting a warning for such files, like we do with
> very large files, are welcome.

FWIW I wrote https://savannah.nongnu.org/projects/so-long which
tries to avoid performance issues in buffers with unexpectedly
long lines by automatically changing the major mode and disabling
various minor modes for that buffer (based on a pre-configured
list).

It can only address certain classes of problem, mind, and it
needs some more work (and has been waiting for me to get back
to it); but it more or less does what it's intended to do, so
others might find it useful as-is (I certainly use it myself).

See https://www.emacswiki.org/emacs/SoLong for more information.


-Phil




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: Extremely slow redisplay when lines are very long
Resent-From: Mark Diekhans <markd@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 20 Oct 2017 15:51:01 +0000
Resent-Message-ID: <handler.13675.B13675.150851463229762 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 13675 <at> debbugs.gnu.org
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.150851463229762
          (code B ref 13675); Fri, 20 Oct 2017 15:51:01 +0000
Received: (at 13675) by debbugs.gnu.org; 20 Oct 2017 15:50:32 +0000
Received: from localhost ([127.0.0.1]:52545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5ZZA-0007jy-Ed
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 11:50:32 -0400
Received: from mail-pf0-f175.google.com ([209.85.192.175]:51880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <markd@HIDDEN>) id 1e5ZZ8-0007ji-Jm
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 11:50:31 -0400
Received: by mail-pf0-f175.google.com with SMTP id n14so11611739pfh.8
 for <13675 <at> debbugs.gnu.org>; Fri, 20 Oct 2017 08:50:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=soe-ucsc-edu.20150623.gappssmtp.com; s=20150623;
 h=mime-version:content-transfer-encoding:message-id:date:to:cc
 :subject:in-reply-to:references:from;
 bh=+QRmbp6j8djtkIYwkkDinYs0fMbwOsnAlu/Qo4ZdH2E=;
 b=nmcb70LIv9AHrw+38kbdTFrWU+BeG5h43HhcpCSZMOgYuJGg0aRm8vWJ/t6UKpbsRJ
 P0LwO1IOKymKNAIsVO/D4nT9ruYlPwRKLPDQAc0DKWHaarK+4vOrrkegXFTqGsZ3yfCq
 8oQTv5pDOnUA0+b7cKXXLIEFGh/yzFdwOI5fCT5WYtI5rn0s7Vs3yTu5w4+kfkmqc/T3
 3EgvjG4s+QC4403MZxPU9pRgbKSEIctd1vwKn0b9yg4+FLcUevxJPBgfjGnCKqZwy7t2
 18tfVGvHqSW/63RKV+w0Y06Dcsst5bYZJ9ldiMfnPFo2C/5nja+L/clbe/gCCCB7QzeR
 Kahg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:content-transfer-encoding
 :message-id:date:to:cc:subject:in-reply-to:references:from;
 bh=+QRmbp6j8djtkIYwkkDinYs0fMbwOsnAlu/Qo4ZdH2E=;
 b=BnC1eyFatnsocGdEwKzg3/muK/0kcWlAhAMgAiwvcB5fEVnx4NLkKVcvbvic65J/94
 hAISzocOQ75SL7bZclLLrgq8OxuAJyWHZa2SM3RBtu8YiY74hgmYvueMjK6kHA7Cht9c
 huWUlQnjwaNx70uhuTs9V0Fj9xLfDervN9zp4ekZjLlpllA97ZHTOB4mbs+Wk72Bx3mp
 kyFFp4cYgubI/5g/zKJXbap+iOd+r69Y+fuYelMKESt9S/lAjjBoxr/JNfcJLg7jjNMM
 P/yBUqvurwM2iBjfB1tSu+4BXFYxYAuYEexM+vtanpEZQibtEFgb5ACYggxY9Ms6YLkN
 2FVg==
X-Gm-Message-State: AMCzsaX5pM44V+JBDEKYte+2qU3Hnyflcjpv0bJ++JBn8I+yhObq9KU8
 6vL3jCdhed6Hjq/EBNdo66UXAQ==
X-Google-Smtp-Source: ABhQp+R2SGbkdyw4azK8kdvR55MfSZ6em9MWFclYMsfWplkZaml3xPx25RQ/zkn/TNyFWDXswWxvXQ==
X-Received: by 10.84.128.97 with SMTP id 88mr703038pla.161.1508514624442;
 Fri, 20 Oct 2017 08:50:24 -0700 (PDT)
Received: from localhost ([2601:647:c803:2f30:420:ec7a:c1cb:371f])
 by smtp.gmail.com with ESMTPSA id l1sm2220379pff.77.2017.10.20.08.50.20
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 20 Oct 2017 08:50:22 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <23018.6971.899464.78569@HIDDEN>
Date: Fri, 20 Oct 2017 08:50:19 -0700
In-Reply-To: <831slye2sx.fsf@HIDDEN>
References: <83sj545e55.fsf@HIDDEN>
 <23017.21788.768005.940877@HIDDEN>
 <831slye2sx.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 25.2.1 (x86_64-apple-darwin16.4.0)
From: Mark Diekhans <markd@HIDDEN>
X-Spam-Score: -2.8 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)


Hi Eli,

The issue really isn't needed to edit these kind of files, so
much as not locking up emacs when one doesn't know a file has really
long lines.  In the past week, it's been an sql file that had
long insert commands and a large json file create without line
breaks.  Both of these modes have font lock mode by default.

I would be gladly work on a patch to ask a question or stop on
files that might cripple emacs.

However, before one dives into work, it's important to know the
history and if there is existing work one can help with as opposed
to start fresh.  That leads to annoying questions like mine.

The meta issue is not a user wanting something for nothing.
It's that it's a lot of work for someone who is not a core
developer to come up to speed on an issue since the discussions
are not linked to bug reports and the mailing lists are very
hard to search.

Mark



Eli Zaretskii <eliz@HIDDEN> writes:
> > From: Mark Diekhans <markd@HIDDEN>
> > Date: Thu, 19 Oct 2017 18:45:00 -0700
> > 
> > Is there anyone working on the long-line display speed issue?
> 
> Not that I know of.  I don't even have an idea for how to speed it up,
> and I don't think anyone's come up with such ideas.
> 
> > It is especially bad with font lock mode.
> 
> What mode/kind of file needs font lock and has such long lines?
> 
> In general, if you must handle such files, my advice is to use M-x
> find-file-literally for them, it might make Emacs just barely
> bearable, if you are lucky.  But then you lose any font locking and
> text encoding support, so this is only feasible for plain-ASCII files
> that basically present some text.
> 
> > If the fix is really complex, it would be much better emacs
> > refuse to display the file than force killing it.
> 
> Patches for presenting a warning for such files, like we do with very
> large files, are welcome.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: Extremely slow redisplay when lines are very long
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 20 Oct 2017 16:11:02 +0000
Resent-Message-ID: <handler.13675.B13675.150851585132150 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Mark Diekhans <markd@HIDDEN>
Cc: 13675 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.150851585132150
          (code B ref 13675); Fri, 20 Oct 2017 16:11:02 +0000
Received: (at 13675) by debbugs.gnu.org; 20 Oct 2017 16:10:51 +0000
Received: from localhost ([127.0.0.1]:52616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5Zsp-0008MU-AH
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:10:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e5Zsn-0008MF-Px
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:10:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e5Zse-00014H-Nh
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 12:10:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37905)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e5Zse-00014C-Jh; Fri, 20 Oct 2017 12:10:40 -0400
Received: from [176.228.60.248] (port=2910 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e5Zse-0004tM-1n; Fri, 20 Oct 2017 12:10:40 -0400
Date: Fri, 20 Oct 2017 19:10:32 +0300
Message-Id: <83bml1dclj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <23018.6971.899464.78569@HIDDEN> (message from Mark
 Diekhans on Fri, 20 Oct 2017 08:50:19 -0700)
References: <83sj545e55.fsf@HIDDEN>
 <23017.21788.768005.940877@HIDDEN>
 <831slye2sx.fsf@HIDDEN> <23018.6971.899464.78569@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Fri, 20 Oct 2017 08:50:19 -0700
> Cc: 13675 <at> debbugs.gnu.org
> From: Mark Diekhans <markd@HIDDEN>
> 
> I would be gladly work on a patch to ask a question or stop on
> files that might cripple emacs.
> 
> However, before one dives into work, it's important to know the
> history and if there is existing work one can help with as opposed
> to start fresh.  That leads to annoying questions like mine.
> 
> The meta issue is not a user wanting something for nothing.
> It's that it's a lot of work for someone who is not a core
> developer to come up to speed on an issue since the discussions
> are not linked to bug reports and the mailing lists are very
> hard to search.

I don't think you have anything to fear, because AFAIR this particular
approach was never suggested or discussed.

So I'd start with a feature that read the first N bytes from the file,
and if no newlines were found in those N bytes, pop up the warning and
the question.  A good place for this would be inside
insert-file-contents, which is where Emacs reads files into memory.

Let me know if I can help you further with making this happen.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13675: Extremely slow redisplay when lines are very long
Resent-From: Phil Sainty <psainty@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 21 Oct 2017 02:04:01 +0000
Resent-Message-ID: <handler.13675.B13675.150855142217071 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13675
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>, Mark Diekhans <markd@HIDDEN>
Cc: 13675 <at> debbugs.gnu.org
Received: via spool by 13675-submit <at> debbugs.gnu.org id=B13675.150855142217071
          (code B ref 13675); Sat, 21 Oct 2017 02:04:01 +0000
Received: (at 13675) by debbugs.gnu.org; 21 Oct 2017 02:03:42 +0000
Received: from localhost ([127.0.0.1]:52943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5j8Y-0004RG-BN
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 22:03:42 -0400
Received: from smtp-2.orcon.net.nz ([60.234.4.43]:50642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1e5j8V-0004R6-J1
 for 13675 <at> debbugs.gnu.org; Fri, 20 Oct 2017 22:03:40 -0400
Received: from [150.107.172.27] (port=27777 helo=[192.168.20.102])
 by smtp-2.orcon.net.nz with esmtpa (Exim 4.86_2)
 (envelope-from <psainty@HIDDEN>)
 id 1e5j8K-0005FL-NU; Sat, 21 Oct 2017 15:03:33 +1300
From: Phil Sainty <psainty@HIDDEN>
References: <83sj545e55.fsf@HIDDEN>
 <23017.21788.768005.940877@HIDDEN>
 <831slye2sx.fsf@HIDDEN> <1d241e49-61bc-089c-ce02-2075a4e98905@HIDDEN>
Message-ID: <21c26b38-0d14-3600-a80d-ddd95f41cc09@HIDDEN>
Date: Sat, 21 Oct 2017 15:03:28 +1300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <1d241e49-61bc-089c-ce02-2075a4e98905@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 21/10/17 00:57, Phil Sainty wrote:
> FWIW I wrote https://savannah.nongnu.org/projects/so-long which
> tries to avoid performance issues in buffers with unexpectedly
> long lines by automatically changing the major mode and disabling
> various minor modes for that buffer

I wrote a more detailed overview at:
https://lists.gnu.org/archive/html/emacs-devel/2016-07/msg00742.html

That was preparation for adding so-long.el to GNU ELPA -- before I
came to the realisation that the scenarios which affected me had all
been caused by third-party libraries, and that the most notable
issue had already been fixed upstream by the library's author.

At this point I worried that I was severely over-stating the benefits
of my code, as I no longer had a good example of my library improving
things by a significant margin, and in particular could not find a
scenario using only default Emacs libraries.  I think this was the
main reason why I didn't proceed with adding so-long to ELPA at the
time.

I do think it might still be worth adding to ELPA, but a good example
of it being useful would be really helpful.

As such, if anyone is reading this, tries out so-long.el, and finds
that it does indeed help them (with or without configuration), please
drop me a line with some details?


thanks,
-Phil




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Feb 2018 19:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 14 14:55:32 2018
Received: from localhost ([127.0.0.1]:43207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1em39Q-00062x-5u
	for submit <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1em39O-00062k-4g
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1em39I-0003xm-Af
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43655)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1em39I-0003xY-3u
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:24 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1em39H-00059S-SU
 for control <at> debbugs.gnu.org; Wed, 14 Feb 2018 14:55:23 -0500
Subject: control message for bug 30457
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1em39H-00059S-SU@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Wed, 14 Feb 2018 14:55:23 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

merge 15555 30457




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Mar 2020 14:40:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 10 10:40:19 2020
Received: from localhost ([127.0.0.1]:53052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jBg3O-0007um-Ty
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2020 10:40:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1jBg3N-0007uW-CY; Tue, 10 Mar 2020 10:40:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jBg3I-0002Hs-2m; Tue, 10 Mar 2020 10:40:12 -0400
Received: from [176.228.60.248] (port=1144 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jBg3H-0006JF-DX; Tue, 10 Mar 2020 10:40:11 -0400
Date: Tue, 10 Mar 2020 16:40:12 +0200
Message-Id: <831rq0b7eb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jan Synacek <jsynacek@HIDDEN>
In-Reply-To: <m6fmu8oh76f.fsf@HIDDEN> (message from Jan
 Synacek on Tue, 10 Mar 2020 10:48:24 +0100)
Subject: Re: bug#40007: 28.0.50;
 Emacs gets very slow when displaying a long line
References: <m6fmu8oh76f.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: control
Cc: 40007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

merge 40007 13675
thanks

> From: Jan Synacek <jsynacek@HIDDEN>
> Date: Tue, 10 Mar 2020 10:48:24 +0100
> 
> 
> 1) emacs -Q
> 2) M-x shell
> 3) execute a program that displays a single line, about ~193000
> characters long
> 
> I accidentaly wrote a scheme program that dumped an entire file as a
> single line, about 193k characters long, into the shell buffer. Emacs'
> reponse latency becomes *very* slow, especially when navigating the
> point over the long line.

This is bug#13675 (and others that were merged with it).

We now have so-long-mode to alleviate some of the problems.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:06:02 2020
Received: from localhost ([127.0.0.1]:48187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9AUM-0004Jo-OQ
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:02 -0400
Received: from mail-yb1-f174.google.com ([209.85.219.174]:45008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9AUK-0004In-CS
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:06:00 -0400
Received: by mail-yb1-f174.google.com with SMTP id i10so1381911ybt.11
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:06:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=oO9Ukq+yL4ZHa0KQ3n/6AXU2R4rT5NZrp+6JqNA8vXs=;
 b=B00hZFAjjv4zhs0/bD9bxKdj1lVqPpRYMkLisYQ7tPCA2st+k4JOROGea4pw6tonnA
 z5DdFSEoXqRKbwiYYvb0YxRW4/DW2dF5SPeUTQccv5eE82KtrRMt+S7108n1wXbfArGB
 Duav4NgKnHc/o5bx8l4eMd2Lo0BnS7+TGDtt1CmKjXrbDdD0MULVpnFAcyRgqXzGHats
 HPmLE0/DvYYhmE0jFuFKL5paKjijmavFPvRp/Cm6ckGSbQVt0GAwRpMexsKigkkdLD5f
 DJxmzVtPeZP8Z2iwatMGOniG7oEqVO3P9vmVGi1B8P4mCIg3FrSoModeXXRqIw+d/4WZ
 cAnA==
X-Gm-Message-State: AOAM530X93b2aGdrifXMvwSDK0LVHD+ncNxmkTegsH6jc6k13eBxUUgP
 kOOGL8BY6nftBY+omOM1HUfDWOrVKoUpzF64ysd9AxvEhwvvsA==
X-Google-Smtp-Source: ABdhPJyDk5CYbpOPdrj7bSkIgXmyc2pJB2JjTXo25T+CIu9inVCfq78tsVKYcz61E2t2lbTEqiuM16cFPYs0F6tif1U=
X-Received: by 2002:a25:b290:: with SMTP id k16mr4822633ybj.389.1598029554876; 
 Fri, 21 Aug 2020 10:05:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:05:54 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:05:54 -0700
Message-ID: <CADwFkmksV_K_mYcKXKtdTA0kCXQ9eLvrHw9fCiBTD1Wqu0-exA@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  merge 13675 32523 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.174 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.174 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  merge 13675 32523 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.174 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.174 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

merge 13675 32523
thanks




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 21 Aug 2020 17:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 13:42:23 2020
Received: from localhost ([127.0.0.1]:48238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9B3X-0007VV-2l
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:23 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:35257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9B3S-0007V9-Lg
 for control <at> debbugs.gnu.org; Fri, 21 Aug 2020 13:42:21 -0400
Received: by mail-yb1-f178.google.com with SMTP id y134so1460055yby.2
 for <control <at> debbugs.gnu.org>; Fri, 21 Aug 2020 10:42:18 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=EWV69o2tJibW/qvbUF6dqOcHAYWps8Mkc9e4bv8rbhU=;
 b=YEkv0iJYDZN6/jvtVYM+J+9Buy6yaMMVfwpDA2uVayEEXsKmG5G2AHclYojzVAdWyi
 c5bLtHXM//llNE9Gd90wXhfJ4cXrQISpaEP5Dmp9CfXUwPPVm99Dbvylxb5I3IauF6NW
 d+06q/oRRvxfyKJvOkxjkDTU+KahbmbGGLTLXgGw+T1RL+8W68u16qai50C05UfwJ47o
 gGFkTUM7S3p/xeT3Tv+90nf7zzqMp8lNJphMaQJ59fDMikCxVelwwKKKbTbiFqvtkd+Y
 g28ksVg4znTVM7Sm5bvk2HFjxOMusIfjRqalwGwy8R7Bh8UH1gt8Hzc4e8JSRSFUPNSf
 tH+Q==
X-Gm-Message-State: AOAM532EKDD4THkT5g2xf++7vJ3rgfsWJRYCXq0rjqH7KsH/VZ4bKwLS
 S3mOHKcIar3cyUJfwGx7PZkobleXeCaY2Se+WxhOv4h/gnWEgQ==
X-Google-Smtp-Source: ABdhPJyhkJ+ZWtZcBFaHE1oBMiKOVWOQnTSGkJIWAH4N+fWv8b8N8GlbjMdcPi5Fg7F2qQj4/LPz1s7H71KL6bxtXLc=
X-Received: by 2002:a5b:410:: with SMTP id m16mr4981727ybp.309.1598031732879; 
 Fri, 21 Aug 2020 10:42:12 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 21 Aug 2020 10:42:11 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Fri, 21 Aug 2020 10:42:11 -0700
Message-ID: <CADwFkmkkygLDpLJwD8ojdWJBXH3h6V55wp=U65f8t9qsNVEn-g@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.219.178 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.219.178 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  severity 22143 normal merge 13675 22143 thanks 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.219.178 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.219.178 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
                             lines

severity 22143 normal
merge 13675 22143
thanks





Last modified: Fri, 21 Aug 2020 17:45:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.